from flask import Flask, render_template, request, redirect, url_for, session

from templates.uni.subjects.halozatok.halozatok_app import halozatok_vizsga_teszt
from templates.uni.subjects.portalfejlesztes_net_ben.portalfejlesztes_app import portalfejlesztes_net_ben
from templates.uni.subjects.vallalati_informacios_rendszerek.vir_app import vallalati_informacios_rendszerek
from templates.uni.subjects.szamitogepek_mukodese.szgm_app import szamitogepek_mukodese

app = Flask(__name__)
app.secret_key = 'your_secret_key'

@app.route('/')
@app.route('/home')
def home():
    return render_template('home.html')

@app.route('/about')
def about():
    return render_template('about/about.html')

@app.route('/uni')
def uni():
    session.pop('question_index', None)
    session.pop('answers', None)
    session.pop('quiz_questions', None)
    return render_template('uni/uni.html')

@app.route('/projects')
def projects():
    return render_template('projects.html')

@app.route('/git')
def git():
    return render_template('git.html')

# Register the blueprints with appropriate URL prefixes
app.register_blueprint(halozatok_vizsga_teszt, url_prefix='/uni/halozatok')
app.register_blueprint(portalfejlesztes_net_ben, url_prefix='/uni/portalfejlesztes_net_ben')
app.register_blueprint(vallalati_informacios_rendszerek, url_prefix='/uni/vallalati_informacios_rendszerek')
app.register_blueprint(szamitogepek_mukodese, url_prefix='/uni/szamitogepek_mukodese')


if __name__ == '__main__':
    app.run(debug=True, host='127.0.0.1', port=5000)
